com.io7m.jpra.runtime.java

## Interface JPRATypeModelType.JPRATypeMatcherType<A,E extends Exception>

- Type Parameters:
    `A` - The type of returned values
    `E` - The type of raised exceptions
  Enclosing interface:
    JPRATypeModelType

      public static interface JPRATypeModelType.JPRATypeMatcherType<A,E extends Exception>

  The type of `jpra` type matchers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `onArray(JPRATypeModelType.JPRAArrayType t)` Match an `array` type.
    `A` | `onBooleanSet(JPRATypeModelType.JPRABooleanSetType t)` Match a `boolean-set` type.
    `A` | `onMatrix(JPRATypeModelType.JPRAMatrixType t)` Match a matrix type.
    `A` | `onScalar(JPRATypeModelType.JPRAScalarType t)` Match a scalar type.
    `A` | `onString(JPRATypeModelType.JPRAStringType t)` Match a string type.
    `A` | `onUserDefined(JPRATypeModelType.JPRAUserDefinedType t)` Match a user-defined type.
    `A` | `onVector(JPRATypeModelType.JPRAVectorType t)` Match a vector type.

- - ### Method Detail

    - #### onScalar

          A onScalar(JPRATypeModelType.JPRAScalarType t)
              throws E extends Exception

      Match a scalar type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onVector

          A onVector(JPRATypeModelType.JPRAVectorType t)
              throws E extends Exception

      Match a vector type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onMatrix

          A onMatrix(JPRATypeModelType.JPRAMatrixType t)
              throws E extends Exception

      Match a matrix type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onString

          A onString(JPRATypeModelType.JPRAStringType t)
              throws E extends Exception

      Match a string type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onUserDefined

          A onUserDefined(JPRATypeModelType.JPRAUserDefinedType t)
                   throws E extends Exception

      Match a user-defined type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onBooleanSet

          A onBooleanSet(JPRATypeModelType.JPRABooleanSetType t)
                  throws E extends Exception

      Match a `boolean-set` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onArray

          A onArray(JPRATypeModelType.JPRAArrayType t)
             throws E extends Exception

      Match an `array` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

Copyright © 2017 <code@io7m.com> http://io7m.com